package net.sergeych.kiloparsec.adapter

import io.ktor.network.sockets.*

/**
 * The interface for common UDP connector shared by UDP components
 */
internal interface UdpConnector {
    /**
     * Called when client connection is done so the provider could free resources
     */
    suspend fun disconnectClient(address: SocketAddress)

    /**
     * Send a block from a proper UDP socket
     */
    suspend fun sendBlock(block: UdpBlock, toAddress: SocketAddress)
}